mdadm (4.4-11ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 28 Aug 2025 19:24:13 +0000

mdadm (4.4-11ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111802). Remaining changes:
    - Ship a finalrd hook.
  * Dropped Changes:
    - Mount efivarfs during initramfs boot phase:
      + Add a initramfs-tools script to mount the efivarfs during the
        initramfs boot phase
        (debian/local/initramfs-tools/init-top/00_mount_efivarfs)
      [Fixed in 4.4-11]

 -- Pragyansh Chaturvedi <pragyansh.chaturvedi@canonical.com>  Tue, 27 May 2025 17:43:50 +0530

mdadm (4.4-11) sid; urgency=medium

  [ Daniel Baumann ]
  * Harmonizing watch file.

  [ Cyrus Lien ]
  * Adding a initramfs-tools script to mount the efivarfs during the
    initramfs boot phase (Closes: #1003352, #1103762; LP: #1993541).

 -- Daniel Baumann <daniel@debian.org>  Fri, 25 Apr 2025 18:24:19 +0200

mdadm (4.4-10) sid; urgency=medium

  * Simplifying watch file to make it actually work.

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Apr 2025 21:39:47 +0200

mdadm (4.4-9) sid; urgency=medium

  * Correcting copy paste error in watch file.
  * Updating upstream urls to point to github.
  * Adding updated Brazilian Portuguese debconf translations from Adriano
    Rafael Gomes <adrianorg@debian.org> (Closes: #1103771).

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Apr 2025 12:22:20 +0200

mdadm (4.4-8) sid; urgency=medium

  * Adding updated Romanian debconf translations from Remus-Gabriel Chelu
    <remusgabriel.chelu@disroot.org> (Closes: #1101819).

 -- Daniel Baumann <daniel@debian.org>  Mon, 21 Apr 2025 10:00:25 +0200

mdadm (4.4-7ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Mount efivarfs during initramfs boot phase:
      + Add a initramfs-tools script to mount the efivarfs during the
        initramfs boot phase
        (debian/local/initramfs-tools/init-top/00_mount_efivarfs)
    - Ship a finalrd hook.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 23 Mar 2025 10:04:03 -0500

mdadm (4.4-7) sid; urgency=medium

  * Adding updated Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #1100803).

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 19:06:52 +0100

mdadm (4.4-6ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Mount efivarfs during initramfs boot phase:
      + Add a initramfs-tools script to mount the efivarfs during the
        initramfs boot phase
        (debian/local/initramfs-tools/init-top/00_mount_efivarfs)
    - Ship a finalrd hook.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 20:48:38 -0500

mdadm (4.4-6) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Adding updated Brazilian Poruguese debconf translations from Adriano
    Rafael Gomes <adrianorg@debian.org> (Closes: #1099804).

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Mar 2025 11:18:01 +0100

mdadm (4.4-5ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Mount efivarfs during initramfs boot phase:
      + Add a initramfs-tools script to mount the efivarfs during the
        initramfs boot phase
        (debian/local/initramfs-tools/init-top/00_mount_efivarfs)
    - Ship a finalrd hook.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 18 Feb 2025 15:53:01 -0600

mdadm (4.4-5) sid; urgency=medium

  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 16 Feb 2025 23:12:23 +0100

mdadm (4.4-4ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - Mount efivarfs during initramfs boot phase:
      + Add a initramfs-tools script to mount the efivarfs during the
        initramfs boot phase
        (debian/local/initramfs-tools/init-top/00_mount_efivarfs)
    - Ship a finalrd hook.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Feb 2025 23:05:26 -0600

mdadm (4.4-4) sid; urgency=medium

  * Updating vcs fields.
  * Updating my email address.
  * Updating year in debian copyright for 2025.
  * Trimming debian changelog.

 -- Daniel Baumann <daniel@debian.org>  Fri, 14 Feb 2025 06:44:04 +0100

mdadm (4.4-3ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes (LP: #2097428):
    - Mount efivarfs during initramfs boot phase
      Add initramfs-tools script to mount efivarfs during initramfs boot phase
      (debian/local/initramfs-tools/init-top/00_mount_efivarfs)
    - Ship finalrd hook

 -- Hector Cao <hector.cao@canonical.com>  Wed, 05 Feb 2025 10:14:27 +0100

mdadm (4.4-3) sid; urgency=medium

  * Adding updated German debconf translations from Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #1094018).

 -- Daniel Baumann <daniel@debian.org>  Mon, 27 Jan 2025 17:19:15 +0100

mdadm (4.4-2) sid; urgency=medium

  * Removing readlink-path.patch, not needed anymore with usr-merge.
  * Extending note about non-systemd systems to not run maintenance tasks
    either (Closes: #1055994).
  * Refreshing debconf files.

 -- Daniel Baumann <daniel@debian.org>  Thu, 23 Jan 2025 07:29:48 +0100

mdadm (4.4-1) sid; urgency=high

  * Merging upstream version 4.4.
  * Cherry-picking patch from upstream to update manpage about bitmaps
    being not default anymore (Closes: #1092137).

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jan 2025 11:32:30 +0100

mdadm (4.3+20241202-1.1) sid; urgency=high

  * Non-maintainer upload.
  * Fix chroot detection to avoid displaying the systemd note when mdadm
    is getting installed within d-i (Closes: #1091617).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 28 Dec 2024 20:46:53 +0100

mdadm (4.3+20241202-1) sid; urgency=medium

  * Merging upstream version 4.3+20241202.

 -- Daniel Baumann <daniel@debian.org>  Thu, 12 Dec 2024 18:22:26 +0100

mdadm (4.3+20241108-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes (LP: #2089516):
    - d/*: Mount efivarfs during initramfs boot phase
           Add initramfs-tools script to mount efivarfs during initramfs boot phase
           (debian/local/initramfs-tools/init-top/00_mount_efivarfs)
    - d/* : Ship finalrd hook

 -- Hector Cao <hector.cao@canonical.com>  Mon, 25 Nov 2024 02:40:07 +0100

mdadm (4.3+20241108-1) sid; urgency=medium

  * Merging upstream version 4.3+20241108.
  * Removing mdmonitor-service-simplify.patch, not needed anymore.
  * Renumbering patches.
  * Refreshing host-name-in-default-mailfrom.patch.
  * Refreshing exit-gracefully-when-md-device-not-found.patch.
  * Adding missing header to fix FTBFS.

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Nov 2024 12:41:57 +0100

mdadm (4.3+20240723-2ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes (LP: #2076403):
    - d/*: Mount efivarfs during initramfs boot phase
           Add initramfs-tools script to mount efivarfs during initramfs boot phase
           (debian/local/initramfs-tools/init-top/00_mount_efivarfs)
    - d/* : Ship finalrd hook
  * Dropped changes, no longer needed:
    - d/p/lp2069821/: mdadm: buffer overflow detected (LP #2069821)
      This patch has been integrated in mdadm upstream
    - d/p/lp2070371/: mdadm: wait for mdmon when it is started via systemd (LP #2070371)
      This patch has been integrated in mdadm upstream

 -- Hector Cao <hector.cao@canonical.com>  Fri, 09 Aug 2024 10:46:46 +0200

mdadm (4.3+20240723-2) sid; urgency=medium

  * Shortening dh_install override in rules.
  * Decluttering comments in rules file.
  * Adding slightly adjusted patch from Chris Hofstaedtler
    <zeha@debian.org> to install into usrmerged layout (Closes: #1073726).
  * Wrap-and-sorting debian files.

 -- Daniel Baumann <daniel@debian.org>  Mon, 29 Jul 2024 18:15:04 +0200

mdadm (4.3+20240723-1) sid; urgency=medium

  * Merging upstream version 4.3+20240723.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Jul 2024 08:17:15 +0200

mdadm (4.3+20240412-1ubuntu2) oracular; urgency=medium

  * d/p/lp2070371/: mdadm: wait for mdmon when it is stared via systemd (LP: #2070371)
  * d/p/lp2069821/: mdadm: buffer overflow detected (LP: #2069821)

 -- Hector Cao <hector.cao@canonical.com>  Mon, 29 Jul 2024 10:06:31 +0200

mdadm (4.3+20240412-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/mdadm.install, d/local/finalrd/mdadm.finalrd:
      Ship finalrd hook
    - d/local/initramfs-tools/init-top/00_mount_efivarfs:
      Mount efivarfs during initramfs boot phase
  * Dropped changes, no longer needed:
    - d/mdadm.maintscript: Ubuntu prior-versions dropped, not needed after
      24.04

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Jun 2024 07:18:58 -0700

mdadm (4.3+20240412-1) sid; urgency=medium

  * Merging upstream version 4.3+20240412.
  * Updating to standards-version 4.7.0.
  * Updating mdadm docs.
  * Updating mdadm examples.
  * Correcting filename of TODO.

 -- Daniel Baumann <daniel@debian.org>  Sat, 27 Apr 2024 05:20:02 +0200

mdadm (4.3-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:17:46 +0000

mdadm (4.3-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control, d/mdadm.install, d/local/finalrd/mdadm.finalrd:
      Ship finalrd hook
    - d/local/initramfs-tools/init-top/00_mount_efivarfs:
      Mount efivarfs during initramfs boot phase
    - d/mdadm.maintscript: Keep Ubuntu prior-versions until after
      the release of 24.04

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Feb 2024 17:19:05 +0000

mdadm (4.3-1) sid; urgency=medium

  * Merging upstream version 4.3.
  * Updating copyright for 2024.

 -- Daniel Baumann <daniel@debian.org>  Wed, 21 Feb 2024 18:13:58 +0100

mdadm (4.2+20240118-1) sid; urgency=medium

  * Merging upstream version 4.2+20240118.
  * Updating years in copyright for 2024.

 -- Daniel Baumann <daniel@debian.org>  Wed, 31 Jan 2024 06:50:56 +0100

mdadm (4.2+20231121-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control, d/mdadm.install, d/local/finalrd/mdadm.finalrd:
      Ship finalrd hook
    - d/local/initramfs-tools/init-top/00_mount_efivarfs:
      Mount efivarfs during initramfs boot phase
    - d/mdadm.maintscript: Keep Ubuntu prior-versions until after
      the release of 24.04

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 03 Jan 2024 10:15:09 +0000

mdadm (4.2+20231121-1) sid; urgency=medium

  * Merging upstream version 4.2+20231121.
  * Harmonizing license blurbs in copyright file.
  * Adding updated German debconf translations from Helge Kreutzmann
    <debian@helgefjell.de> (Closes: #1055789).
  * Adding updated Swedish debconf translations from Martin Bagge
    <brother@persilja.net> (Closes: #1057772).

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Dec 2023 11:57:19 +0100

mdadm (4.2+20231026-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control, d/mdadm.install, d/local/finalrd/mdadm.finalrd:
      Ship finalrd hook
    - d/local/initramfs-tools/init-top/00_mount_efivarfs:
      Mount efivarfs during initramfs boot phase
    - d/mdadm.maintscript: Keep Ubuntu prior-versions until after
      the release of 24.04

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Nov 2023 13:18:00 +0000

mdadm (4.2+20231026-1) sid; urgency=medium

  * Merging upstream version 4.2+20231026.
  * Refreshing fix-manpages.patch.
  * Refreshing no-Werror.patch.

 -- Daniel Baumann <daniel@debian.org>  Wed, 01 Nov 2023 05:09:47 +0100

mdadm (4.2+20230901-1) sid; urgency=medium

  * Merging upstream version 4.2+20230901.

 -- Daniel Baumann <daniel@debian.org>  Tue, 10 Oct 2023 10:48:43 +0200

mdadm (4.2+20230508-7ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control, d/mdadm.install, d/local/finalrd/mdadm.finalrd:
      Ship finalrd hook
    - d/local/initramfs-tools/init-top/00_mount_efivarfs:
      Mount efivarfs during initramfs boot phase
    - d/mdadm.maintscript: Keep Ubuntu prior-versions until after
      the release of 24.04

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 05 Oct 2023 18:00:34 +0000

mdadm (4.2+20230508-7) sid; urgency=medium

  * Removing generated files to fix FTBFS when build twice in a row
    (Closes: #1047538).

 -- Daniel Baumann <daniel@debian.org>  Mon, 14 Aug 2023 11:51:05 +0200

mdadm (4.2+20230508-6ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/control, d/mdadm.install, d/local/finalrd/mdadm.finalrd:
      Ship finalrd hook
    - d/local/initramfs-tools/init-top/00_mount_efivarfs:
      Mount efivarfs during initramfs boot phase
  * d/mdadm.maintscript: Keep Ubuntu prior-versions until after
    the release of 24.04
  * Dropped changes, included in Debian:
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
    - Honor the debconf daily autoscan setting in the systemd timer.
    - d/p/mdcheck-fix-empty-spaces-in-timer-unit-files.patch:
      - The spaces were causing a FTBFS situation, triggered by
        dh_installsystemd not finding units.
    - Mention mdmonitor-oneshot.service instead of /etc/cron.daily/mdadm
      in /etc/default/mdadm

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 11 Aug 2023 09:59:44 +0000

mdadm (4.2+20230508-6) sid; urgency=medium

  * Adding updated Dutch debconf translations from Frans Spiesschaert
    <Frans.Spiesschaert@yucom.be> (Closes: #1041873).

 -- Daniel Baumann <daniel@debian.org>  Mon, 24 Jul 2023 20:44:54 +0200

mdadm (4.2+20230508-5) sid; urgency=medium

  * Updating package descriptions.
  * Adding updated Romanian debconf translations from Remus-Gabriel Chelu
    <remusgabriel.chelu@disroot.org> (Closes: #1039620).

 -- Daniel Baumann <daniel@debian.org>  Fri, 30 Jun 2023 10:07:14 +0200

mdadm (4.2+20230508-4) sid; urgency=medium

  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Jun 2023 16:26:53 +0200

mdadm (4.2+20230508-3) experimental; urgency=medium

  * Updating regex in logcheck ignore patterns for kernels md tunining
    message (LP: #1176560).
  * Adding debconf note when run on non-systemd systems (Closes:
    #1037496).
  * Updating debconf po files.

 -- Daniel Baumann <daniel@debian.org>  Sat, 24 Jun 2023 07:03:53 +0200

mdadm (4.2+20230508-2) sid; urgency=medium

  * Uploading without changes after bookworm release.

 -- Daniel Baumann <daniel@debian.org>  Sun, 11 Jun 2023 14:32:19 +0200

mdadm (4.2+20230508-1) experimental; urgency=medium

  * Merging upstream version 4.2+20230508.
  * Refreshing and updating readlink-path.patch to cover basename too.
  * Refreshing randomize-timers.patch.

 -- Daniel Baumann <daniel@debian.org>  Fri, 12 May 2023 14:48:12 +0200

mdadm (4.2+20230313-1) experimental; urgency=medium

  * Merging upstream version 4.2+20230313.

 -- Daniel Baumann <daniel@debian.org>  Mon, 13 Mar 2023 17:55:55 +0100

mdadm (4.2+20230304-1) experimental; urgency=medium

  * Merging upstream version 4.2+20230304.
  * Adding initial Romanian debconf translations from Remus-Gabriel Chelu
    <remusgabriel.chelu@disroot.org> (Closes: #1032713).

 -- Daniel Baumann <daniel@debian.org>  Mon, 13 Mar 2023 14:58:14 +0100

mdadm (4.2+20230302-1) experimental; urgency=medium

  * Merging upstream version 4.2+20230302.
  * Updating host-name-in-default-mailfrom.patch for new upstream.
  * Updating exit-gracefully-when-md-device-not-found.patch for new
    upstream.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Mar 2023 04:25:46 +0100

mdadm (4.2+20230227-1) experimental; urgency=medium

  * Merging upstream version 4.2+20230227.
  * Removing sysvinit scripts in favour of systemd units:
    - properly checkrestart mdmonitor (Closes: #815834).
    - no update-rc.d warnings anymore (Closes: #822354).
    - properly shutdown (Closes: #829621).
    - making /etc/default/mdadm obsolete for most things (Closes: #850180).
  * Removing cron jobs in favour of systemd timers:
    - daily checks also work if system is not always on (Closes: #889978).
  * Adding rediffed patch from ubuntu to randomize md array check timers.
  * Adding rediffed patch from ubuntu to honor debconf daily scan in
    systemd unit.
  * Adding rediffed patch from ubuntu to fix empty spaces in timer unit
    files.
  * Wrap and sorting debian directory.

 -- Daniel Baumann <daniel@debian.org>  Tue, 28 Feb 2023 20:48:50 +0100

mdadm (4.2+20230223-2) experimental; urgency=medium

  * Updating upstream contact in copyright.
  * Silencing mounting efivars in initramfs-hook by only mounting if not
    done already.

 -- Daniel Baumann <daniel@debian.org>  Sat, 25 Feb 2023 22:34:46 +0100

mdadm (4.2+20230223-1) experimental; urgency=medium

  * Merging upstream version 4.2+20230223.
  * Removing documentation-keys-in-service-files.patch, included upstream.
  * Removing fix-command-line-help.patch, included upstream.
  * Removing strcat-look-for-md-device-in-dev-md.patch, solved differently
    upstream.
  * Removing conffile-location.patch, not needed anymore.
  * Refreshing fix-manpages.patch.
  * Refreshing mdmonitor-service-simplify.patch.
  * Refreshing host-name-in-default-mailfrom.patch.
  * Refreshing exit-gracefully-when-md-device-not-found.patch.
  * Refreshing sha1-includes.patch.
  * Refreshing readlink-path.patch.
  * Refreshing no-Werror.patch.
  * Refreshing test-installed.patch.
  * Updating standards version to 4.6.2.
  * Updating vcs fields.
  * Updating homepage field in control.
  * Sorting control file.
  * Removing unneeded po-debconf build-depends.
  * Removing groff-base from build-depends as it's pulled in by debhelper.
  * Removing redundant debconf depends.
  * Removing unused depends to lsb-base.
  * Removing suggests on dracut until there's integration for it
    available.
  * Removing obsolete alternative depends on module-init-tools.
  * Reworking package descriptions.
  * Removing old debian news.
  * Removing obsolete doc-base integration.
  * Removing unused salsa-ci.
  * Marking maintainer scripts executable in debian tree.
  * Moving scripts to subdirectory in debian tree.
  * Moving docs to subdirectory in debian tree.
  * Moving initramfs-tools files to subdirectory in debian tree.
  * Moving reportbug files to subdirectory in debian tree.
  * Removing conditional mta suggests/recommends, the mta should not be
    pulled in by default via recommends.
  * Also installing apport hook on debian.
  * Only modprobing efivars on efi systems (Closes: #996622).
  * Mounting efivarfs in initrd for Intel fakeraid support (Closes:
    #1003352).
  * Refreshing debconf po files.
  * Harmonizing debconf-po file headers.
  * Shortening depends in tests control.
  * No longer including the individual announcement files from very old
    mdadm versions and the current one doesn't contain much information
    anymore.

 -- Daniel Baumann <daniel@debian.org>  Sat, 25 Feb 2023 18:55:13 +0100

mdadm (4.2-5ubuntu2) lunar; urgency=medium

  * Add scripts/init-top/00_mount_efivarfs, mounting efivarfs. (LP: #1993541)

 -- Cyrus Lien <cyrus.lien@canonical.com>  Tue, 11 Apr 2023 11:22:59 +0800

mdadm (4.2-5ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
    - Honor the debconf daily autoscan setting in the systemd timer.
    - d/p/mdcheck-fix-empty-spaces-in-timer-unit-files.patch:
      - The spaces were causing a FTBFS situation, triggered by
        dh_installsystemd not finding units.
    - Mention mdmonitor-oneshot.service instead of /etc/cron.daily/mdadm
      in /etc/default/mdadm
  * Dropped changes, included in Debian:
    - Install /usr/share/apport/package-hooks/source_mdadm.py with install
      instead of a second call to dh_install, which clears the execute
      permission on /usr/share/mdadm/mdcheck
    - Drop /lib/udev/rules.d/64-md-raid-assembly.rules from mdadm-udeb,
      no longer built
    - Ship /etc/mdadm directory again to prevent dpkg warning:
      unable to delete old directory '/etc/mdadm': Directory not empty
    - Display $(DEB_VENDOR) $(DEB_VERSION) in mdadm --version output

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 08 Mar 2023 07:35:24 +0000

mdadm (4.2-5) sid; urgency=medium

  * Adopting package (Closes: #1009983).

 -- Daniel Baumann <daniel@debian.org>  Fri, 24 Feb 2023 15:37:15 +0100

mdadm (4.2-4) unstable; urgency=medium

  * QA upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Add missing ${misc:Depends} to Depends for mdadm-udeb.
  * Remove 1 obsolete maintscript entry.

  [ Graham Inggs ]
  * Ship /etc/mdadm directory again to prevent dpkg warning:
    unable to delete old directory '/etc/mdadm': Directory not empty
    (Closes: #1004475)
  * Display $(DEB_VENDOR) $(DEB_VERSION) in mdadm --version output
    (Closes: #1000663)
  * Drop /lib/udev/rules.d/64-md-raid-assembly.rules from Ubuntu's
    mdadm-udeb, no longer built there
  * Install Ubuntu's Apport package hook with install instead of
    a second call to dh_install, which clears the execute permission
    on /usr/share/mdadm/mdcheck
  * Bump Standards-Version to 4.6.1, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 26 Jun 2022 08:47:12 +0000

mdadm (4.2-3ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
    - Honor the debconf daily autoscan setting in the systemd timer.
    - d/p/mdcheck-fix-empty-spaces-in-timer-unit-files.patch:
      - The spaces were causing a FTBFS situation, triggered by
        dh_installsystemd not finding units.
    - Mention mdmonitor-oneshot.service instead of /etc/cron.daily/mdadm
      in /etc/default/mdadm
  * Install /usr/share/apport/package-hooks/source_mdadm.py with install
    instead of a second call to dh_install, which clears the execute
    permission on /usr/share/mdadm/mdcheck
  * Drop /lib/udev/rules.d/64-md-raid-assembly.rules from mdadm-udeb,
    no longer built
  * Ship /etc/mdadm directory again to prevent dpkg warning:
    unable to delete old directory '/etc/mdadm': Directory not empty,
    see #1004475
  * Display $(DEB_VENDOR) $(DEB_VERSION) in mdadm --version output,
    see #1000663

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 25 May 2022 09:01:14 +0000

mdadm (4.2-3) unstable; urgency=medium

  * Orphan.
  * Point Vcs fields to 'debian' namespace on Salsa.

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 21 Apr 2022 10:14:07 -0700

mdadm (4.2-2) unstable; urgency=medium

  * Add host name to default value for MAILFROM address. (See: #1006464)

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 28 Feb 2022 04:58:49 -0800

mdadm (4.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix typo in manual page. (Closes: #1003226)
  * Set upstream's home page to Linux Raid Wiki.
  * Adjust Lintian override for new install location.
  * Bump Standards-Version to 4.6.0.
  * Reorder patches for easier submission upstream.
  * Refresh Debian patches.

 -- Felix Lechner <felix.lechner@lease-up.com>  Fri, 07 Jan 2022 09:36:34 -0800

mdadm (4.2~rc2-7) unstable; urgency=medium

  * In initramfs, load efivarfs module, which has a new name. (Closes: #995047)

 -- Felix Lechner <felix.lechner@lease-up.com>  Sat, 25 Sep 2021 21:57:51 -0700

mdadm (4.2~rc2-6) unstable; urgency=medium

  * Pass proper build flags to make.

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 26 Aug 2021 06:57:18 -0700

mdadm (4.2~rc2-5) unstable; urgency=medium

  * Use dh sequencer.

 -- Felix Lechner <felix.lechner@lease-up.com>  Wed, 25 Aug 2021 12:01:24 -0700

mdadm (4.2~rc2-4) unstable; urgency=medium

  * Generate config even when SOURCE_DATE_EPOCH is not set; fixup to 04adb527.
   (Closes: #992853)

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 24 Aug 2021 07:01:33 -0700

mdadm (4.2~rc2-3) unstable; urgency=medium

  * Add support for 'repair' action to checkarray. (Closes: #772465)
  * Use a reproducible timestamp in mkconf; delete temporary file in initramfs.
   (Closes: #982607)
  * Adjust character set of Swedish debconf translation; no string changes.
    (Closes: #972357)
  * Update the Czech translations of debconf messages. (Closes: #972440)
  * Drop version check in postinst for an upload predating the release of oldstable.
  * Add a file with upstream metadata providing the information sought by DEP-12.
  * Fix typo in manual page.
  * Refresh Debian patches.

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 23 Aug 2021 13:01:29 -0700

mdadm (4.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1959843)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 24 Feb 2022 15:19:00 +0000

mdadm (4.2~rc2-2ubuntu1) impish; urgency=medium

  * Merge from Debian unstable (LP: #1940096), remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
    - Honor the debconf daily autoscan setting in the systemd timer.
    - d/p/mdcheck-fix-empty-spaces-in-timer-unit-files.patch:
      - The spaces were causing a FTBFS situation, triggered by
        dh_installsystemd not finding units.
    - Mention mdmonitor-oneshot.service instead of /etc/cron.daily/mdadm
      in /etc/default/mdadm

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 17 Aug 2021 17:41:27 +0000

mdadm (4.2~rc2-2) unstable; urgency=medium

  * Upload targeting unstable.
  * Fix uscan regex for upstream tarballs.

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 15 Aug 2021 14:56:17 -0700

mdadm (4.2~rc2-1) experimental; urgency=medium

  * New release candidate from upstream.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 03 Aug 2021 07:36:19 -0700

mdadm (4.2~rc1-1ubuntu1) impish; urgency=medium

  * Merge from Debian experimental (LP: #1935895), remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
    - Honor the debconf daily autoscan setting in the systemd timer.
    - d/p/mdcheck-fix-empty-spaces-in-timer-unit-files.patch:
      - The spaces were causing a FTBFS situation, triggered by
        dh_installsystemd not finding units.
    - Mention mdmonitor-oneshot.service instead of /etc/cron.daily/mdadm
      in /etc/default/mdadm
  * Dropped changes:
    - d/p/mdcheck-when-mdcheck-start-is-enabled-mdcheck-continue-too.patch:
      - When mdcheck_start is enabled, enable mdcheck_continue too.
    - d/p/mdcheck-log-when-done.patch:
      - Make sure mdcheck logs the completion too, so that
      it can be determined how long the raid check took.
    - Cherrypick upstream fix to allow assembling dirty degrated IMSM raid
      arrays with --force flag

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 28 Jul 2021 10:38:46 +0000

mdadm (4.2~rc1-1) experimental; urgency=medium

  * New release candidate from upstream.
  * Add libudev-dev to Build-Depends.
  * Drop patches previously cherry-picked from upstream:
    - 0001-Assemble-keep-MD_DISK_FAILFAST-and-MD_DISK_WRITEMOST.patch
      (now 0833f9c3)
    - 0002-Document-PART-POLICY-lines.patch (now 6b611284)
    - 0003-policy-support-devices-with-multiple-paths.patch (now cd72f9d1)
    - 0004-mdcheck-add-systemd-unit-files-to-run-mdcheck.patch (now 4199d3c6)
    - 0005-Monitor-add-system-timer-to-run-oneshot-periodically.patch
      (now 7cd7e91a)
    - 0006-imsm-update-metadata-correctly-while-raid10-double-d.patch
      (now d7a1fda2)
    - 0007-Assemble-mask-FAILFAST-and-WRITEMOSTLY-flags-when-fi.patch
      (now 563ac108)
    - 0008-Grow-avoid-overflow-in-compute_backup_blocks.patch
      (now 085df422)
    - 0009-Grow-report-correct-new-chunk-size.patch (now 76d505de)
    - 0010-policy.c-prevent-NULL-pointer-referencing.patch (now 467e6a1b)
    - 0011-policy.c-Fix-for-compiler-error.patch (now 757e55435)
    - 0001-Create-add-support-for-RAID0-layouts.patch (now 329dfc28)
    - 0002-Assemble-add-support-for-RAID0-layouts.patch (now 027c099f)
    - 0001-Respect-CROSS_COMPILE-when-CC-is-the-default.patch (now aced6fc9)
  * Drop patches accepted upstream:
    - typos-in-programs.patch (now ebf3be99)
    - lp-1847924-introduce-new-array-state-broken.patch (now 43ebc910)
  * Refresh remaining patches.
  * Adapt d/watch to accept release candidates.

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 26 Jul 2021 20:34:36 -0700

mdadm (4.1-11ubuntu1) impish; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
    - Honor the debconf daily autoscan setting in the systemd timer.
    - d/p/mdcheck-fix-empty-spaces-in-timer-unit-files.patch:
      - The spaces were causing a FTBFS situation, triggered by
        dh_installsystemd not finding units.
    - d/p/mdcheck-when-mdcheck-start-is-enabled-mdcheck-continue-too.patch:
      - When mdcheck_start is enabled, enable mdcheck_continue too.
    - d/p/mdcheck-log-when-done.patch:
      - Make sure mdcheck logs the completion too, so that
      it can be determined how long the raid check took.
    - Cherrypick upstream fix to allow assembling dirty degrated IMSM raid
      arrays with --force flag
  * Mention mdmonitor-oneshot.service instead of /etc/cron.daily/mdadm
    in /etc/default/mdadm

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 11 May 2021 15:49:35 +0200

mdadm (4.1-11) unstable; urgency=medium

  * Load efivars module in initramfs, if available. (Closes: #962844)
  * Do not explicitly include /bin/rm in initramfs; /usr/bin/rm
    is already present. (See: #875918)
  * Bump Standards-Version to 4.5.1.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 09 Feb 2021 20:02:47 -0800

mdadm (4.1-10ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Feb 2021 06:59:03 +0100

mdadm (4.1-10ubuntu2) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:35:27 +0100

mdadm (4.1-10ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
    - Honor the debconf daily autoscan setting in the systemd timer.
    - d/p/mdcheck-fix-empty-spaces-in-timer-unit-files.patch:
      - The spaces were causing a FTBFS situation, triggered by
        dh_installsystemd not finding units.
    - d/p/mdcheck-when-mdcheck-start-is-enabled-mdcheck-continue-too.patch:
      - When mdcheck_start is enabled, enable mdcheck_continue too.
    - d/p/mdcheck-log-when-done.patch:
      - Make sure mdcheck logs the completion too, so that
      it can be determined how long the raid check took.
    - Cherrypick upstream fix to allow assembling dirty degrated IMSM raid
      arrays with --force flag

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 08 Feb 2021 11:53:23 +0100

mdadm (4.1-10) unstable; urgency=medium

  * For initramfs, copy 'rm' executable from existing location; and to /bin. (Closes: #974829)

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 15 Nov 2020 04:32:19 -0800

mdadm (4.1-9) unstable; urgency=medium

  * Add 'rm' executable to initramfs hook. (Closes: #875918)
  * Update Brazilian debconf translation. (Closes: #972835)
  * Bump d/watch file standard to version 4.

 -- Felix Lechner <felix.lechner@lease-up.com>  Sat, 14 Nov 2020 20:46:29 -0800

mdadm (4.1-8ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
    - Honor the debconf daily autoscan setting in the systemd timer.
    - d/p/mdcheck-fix-empty-spaces-in-timer-unit-files.patch:
      - The spaces were causing a FTBFS situation, triggered by
        dh_installsystemd not finding units.
    - d/p/mdcheck-when-mdcheck-start-is-enabled-mdcheck-continue-too.patch:
      - When mdcheck_start is enabled, enable mdcheck_continue too.
    - d/p/mdcheck-log-when-done.patch:
      - Make sure mdcheck logs the completion too, so that
      it can be determined how long the raid check took.

  * Also fix up whitespace in systemd/mdmonitor-oneshot.timer.
  * Cherrypick upstream fix to allow assembling dirty degrated IMSM raid
    arrays with --force flag. LP: #1894792

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 26 Oct 2020 12:15:40 +0000

mdadm (4.1-8) unstable; urgency=medium

  * Comprehensive FAQ improvements and amendments.(Closes: #715387)
  * Update Finnish debconf translation. (Closes: #972143)
  * Update Portuguese debconf translation. (Closes: #971941)
  * Update Basque debconf translation.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 13 Oct 2020 11:15:45 -0700

mdadm (4.1-7) unstable; urgency=medium

  * Look for md device in /dev/md and exit gracefully on failure.
    (Closes: #958060, #970329)
  * Update Spanish, Italian, Slovak and Russian debconf translations.
    (Closes: #970381, #970568, #970578)

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 21 Sep 2020 07:35:13 -0700

mdadm (4.1-6) unstable; urgency=medium

  * Install misc/mdcheck; thanks Richard Laager. (Closes: #960132)
  * Update French, Dutch and German debconf translations. (Closes: #935184,
    #940851, #956350)
  * Bring command-line help in line with manual page. (Closes: #932791)
  * Fix spelling and groff macro issues in manual pages. (Closes: #915182,
    #916946, #962946)
  * Explain 'max' keyword in command-line option --size. (Closes: #933773)
  * Patch d/README.recipes for clarity. (Closes: #619043)
  * Enable autopkgtest for installed version. Requires isolation-machine,
    untested. (Closes: #872118)
  * Adopt package. (Closes: #924367)
  * Turn on hardening.
  * Avoid a race condition in d/mdadm-shutdown.service.
  * Implement missing status option in /etc/init.d/mdadm-waitidle.
  * Add missing Documentation keys to several service files.
  * Upgrade debhelper compat to 13; use new prerequisite style.
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0.
  * Convert copyright to DEP-5 machine-readable format.
  * Host Vcs on salsa.d.o.
  * Adopt DEP-14 branch naming in Vcs-Git
  * Enable standard Salsa CI pipeline.
  * Fix typos in executables.
  * Explain that --name does not work in Grow mode.
  * Convert international debconf translations to UTF-8.
  * Capitalize first word in package synopsis.
  * Add Lintian overrides for tags that may not be appropriate.

 -- Felix Lechner <felix.lechner@lease-up.com>  Sat, 12 Sep 2020 20:46:58 -0700

mdadm (4.1-5ubuntu5) groovy; urgency=medium

  * d/p/mdcheck-fix-empty-spaces-in-timer-unit-files.patch:
    - The spaces were causing a FTBFS situation, triggered by
      dh_installsystemd not finding units.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Mon, 28 Sep 2020 11:44:00 -0400

mdadm (4.1-5ubuntu4) groovy; urgency=medium

  * d/p/mdcheck-when-mdcheck-start-is-enabled-mdcheck-continue-too.patch:
    - When mdcheck_start is enabled, enable mdcheck_continue too.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Fri, 25 Sep 2020 10:27:50 -0400

mdadm (4.1-5ubuntu3) groovy; urgency=medium

  * d/p/mdcheck-log-when-done.patch:
    - Make sure mdcheck logs the completion too, so that
     it can be determined how long the raid check took.

 -- Eric Desrochers <eric.desrochers@canonical.com>  Thu, 24 Sep 2020 09:14:49 -0400

mdadm (4.1-5ubuntu2) groovy; urgency=medium

  * d/rules: Install misc/mdcheck (LP: #1852747)
    - The absence of mdcheck utility is preventing
      mdcheck_continue.service & mdcheck_start.service
      to execute the command when the service start via
      ExecStart. (Closes: #960132)

 -- Eric Desrochers <eric.desrochers@canonical.com>  Wed, 23 Sep 2020 14:08:32 -0400

mdadm (4.1-5ubuntu1) focal; urgency=medium

  [ dann frazier ]
  * Merge from Debian unstable.  Remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
    - Honor the debconf daily autoscan setting in the systemd timer.

 -- dann frazier <dannf@ubuntu.com>  Thu, 23 Jan 2020 11:41:55 -0700

mdadm (4.1-5) unstable; urgency=medium

  * QA upload.
  * Fix cross-compilation failure. (Closes: #866522).
    Thanks to Helmut Grohne.
  * Add support for raid0/linear 'broken' state. (Closes: #943520).
    Thanks to Guilherme G. Piccoli and Dan Streetman. LP: #1847924.

 -- dann frazier <dannf@debian.org>  Wed, 22 Jan 2020 09:56:25 -0700

mdadm (4.1-4ubuntu1) focal; urgency=medium

  [ dann frazier ]
  * Merge from Debian unstable.  Remaining changes:
    - Ship finalrd hook.
    - Do not install mdadm-shutdown.service on Ubuntu.
    - Drop broken and unused init scripts in favor of native systemd units,
      which can cause failure to reconfigure mdadm package under certain
      confiment types.
    - Drop /etc/cron.d/mdadm and migrate to systemd mdcheck_start|continue
      timer units.
    - Drop /etc/cron.daily/mdadm and migrate to system mdmonitor-oneshot
      timer unit.
    - mdcheck_start.timer configures the mdcheck on a first sunday of the
      month, with a randomized start delay of up to 24h, and runs for at
      most 6h. mdcheck_continue.timer kicks off daily, with a randomized
      start delay of up to 12h, and continues mdcheck for at most 6h.
    - mdmonitor-oneshot.timer runs daily, with a randomized start delay of
      up to 24h.
    - One can use systemd drop-ins to change .timer units timings, set
      environmental variables to decrease/increase the length of checking,
      or start the checks by hand. Previously used checkarray is still
      available, albeit not used by timer units.
    - Above ensures that previous daily / monthly checks are performed, but
      are randomized, such that performance is not as impacted across a
      cluster of machines.
  * Honor the debconf daily autoscan setting in the systemd timer.

  [ Guilherme G. Piccoli ]
  * Introduce "broken" state for RAID0/Linear in mdadm (LP: #1847924)

 -- dann frazier <dannf@ubuntu.com>  Wed, 04 Dec 2019 07:05:07 -0700

mdadm (4.1-4) unstable; urgency=medium

  * QA upload.
  * Add support for RAID0 layouts. (Closes: #944676) (LP: #1850540)

 -- dann frazier <dannf@debian.org>  Mon, 02 Dec 2019 14:35:49 -0700

mdadm (4.1-3) unstable; urgency=medium

  * QA upload.
  * Adding debconf question to disable daily array scan (Closes: #689304):
    - if enabled (default), mdadm checks once a day for degraded arrays
      and missing spares to ensure that such events don't go unnoticed.
    - this is not useful when the system is part of an infrastructure
      with dedicated monitoring systems (e.g. icinga).
    - this debconf question makes it possible to disable these checks.

 -- Daniel Baumann <daniel@debian.org>  Fri, 09 Aug 2019 17:19:20 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog mdadm`.
